<div class="vh-100">
    <div class="d-flex border-bottom shadow-sm">
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Left_Top.jpg" class="w-75 h-100 position-absolute start-0 top-0"
                alt="Right Image">
        </div>
        <div>
            <app-search-nav-bar></app-search-nav-bar>
        </div>
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Right_Top.jpg" class="w-75 h-100 position-absolute end-0 top-0"
                alt="Right Image">
        </div>
    </div>
    <div class="container mt-4">
        <div *ngIf="playerInformation" class="row">
            <div class="col-md-4 d-flex justify-content-center">
                <img src="https://ak-static.cms.nba.com/wp-content/uploads/headshots/nba/latest/260x190/{{playerLogoId}}.png"
                    [alt]="playerName + ' headshot'" class="img-thumbnail">
            </div>
            <div class="col-md-8">
                <div class="row">
                    <div class="col-md-6">
                        <h6>Player Name</h6>
                        <p>{{playerInformation.firstname}} {{playerInformation.lastname}}</p>
                    </div>
                    <div class="col-md-6">
                        <h6>Birthdate</h6>
                        <p>{{playerInformation.birth.date}}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <h6>NBA Start Year</h6>
                        <p>{{playerInformation.nba.start}}</p>
                    </div>
                    <div class="col-md-6">
                        <h6>Position</h6>
                        <p>{{playerInformation.leagues.standard.pos}}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <h6>Height</h6>
                        <p>{{playerInformation.height.feets}} foot, {{playerInformation.height.inches}} inches</p>
                    </div>
                    <div class="col-md-6">
                        <h6>Weight</h6>
                        <p>{{playerInformation.weight.pounds}} lbs</p>
                    </div>
                </div>
            </div>
        </div>
        <div *ngIf="!playerInformation" class=" text-center row">
            <h3>No PlayerInformation Data Available</h3>
            <p>See console for errors</p>
        </div>
        <div class="container">
            <div class="justify-content-around mt-3 ms-5 me-5">
                <div>
                    <div>
                        <h4 [innerText]="playerName + ' stats'"></h4>
                        <app-stat-table [rowData]="rowData" [columnDefs]="colDef">
                        </app-stat-table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>